Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cayenne.gen
Enum ArtifactGenerationMode

    java.lang.Object
      java.lang.Enum<ArtifactGenerationMode>
          org.apache.cayenne.gen.ArtifactGenerationMode

All Implemented Interfaces:
  Serializable, Comparable<ArtifactGenerationMode>

    public enum ArtifactGenerationMode

extends Enum<ArtifactGenerationMode>

Code generator execution mode for a single artifact.

Since:
  3.0
Author:
  Andrus Adamchik

Enum Constant Summary
`GENERATION_GAP`
`SINGLE_CLASS`

Method Summary
`static ArtifactGenerationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArtifactGenerationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_CLASS

    public static final ArtifactGenerationMode SINGLE_CLASS

### GENERATION_GAP

    public static final ArtifactGenerationMode GENERATION_GAP

Method Detail

### values

    public static final ArtifactGenerationMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ArtifactGenerationMode c : ArtifactGenerationMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ArtifactGenerationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.